#ifndef LOGIN_DISPLAY_HPP_
#define LOGIN_DISPLAY_HPP_

#include <string>

#include <Display/WidgetDisplay/WidgetDisplay.hpp>

/**
 * @brief Login display.
 */
class LoginDisplay : public WidgetDisplay
{
private:
    std::string server;
    std::string userName;
    std::string password;

    bool canLogIn();
    void onLogin();

public:
    LoginDisplay(std::string message = "", std::string server = "", std::string userName = "");
};

#endif